package com.inkasso.auth.interfaces;

import java.lang.annotation.*;

/**
 * @author 张超
 * @date 2021/10/22
 */
@Target({ElementType.METHOD, ElementType.ANNOTATION_TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Inherited
public @interface Permission {

  /**
   * 权限名称
   *
   * @return
   */
  String name() default "";

  /**
   * 权限编码
   *
   * @return
   */
  String code() default "";


  boolean check() default true;


  int type() default 0;
}
